<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/light_gray"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".forgotpassword.ForgotpasswordActity"
    tools:showIn="@layout/activity_forgotpassword_actity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_gravity="center"
        android:gravity="center">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/forgot_user_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_weight="5"
                android:padding="@dimen/custom_margin"
                android:textStyle="bold"
                android:background="@android:color/transparent"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal"
                android:visibility="gone"
                android:text="User Name : Damini"
                android:layout_margin="@dimen/custom_margin"
                android:layout_marginRight="@dimen/custom_margin2dp"/>


        </LinearLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/card_view_forgot_password_top"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/custom_margin2dp"
            app:cardCornerRadius="@dimen/custom_margin3dp"
            app:cardBackgroundColor="@color/white"
            android:layout_gravity="center"
            android:layout_margin="@dimen/custom_margin3dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:layout_marginTop="@dimen/padding_10dp"
                    android:layout_marginRight="@dimen/text22dp"
                    android:layout_marginBottom="@dimen/padding_10dp"
                    android:weightSum="4"
                    android:orientation="horizontal">

                        <Spinner
                            android:id="@+id/user_spin"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:backgroundTint="@color/colorPrimary"
                            android:padding="@dimen/padding_10dp"
                            android:layout_gravity="center"
                            android:layout_margin="@dimen/custom_margin"
                            android:gravity="center"/>

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/rl_otp_pinview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:visibility="gone"
                    >
                    <TextView
                        android:id="@+id/txt_confirm_pin"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textStyle="normal"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_16sp"
                        android:text="@string/verification_code"/>

                    <com.goodiebag.pinview.Pinview
                        android:id="@+id/pinview_otp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cursorVisible="false"
                        app:forceKeyboard="true"
                        app:hint="0"
                        app:inputType="number"
                        app:password="true"
                        app:pinBackground="@drawable/example_drawable"
                        app:pinHeight="@dimen/margin60dp"
                        app:pinLength="4"
                        app:pinWidth="@dimen/margin60dp"
                        android:layout_marginBottom="@dimen/text22dp"/>

                </LinearLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:id="@+id/card_forgot_password_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/custom_margin2dp"
            app:cardCornerRadius="@dimen/custom_margin3dp"
            app:cardBackgroundColor="@color/white"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/custom_margin"
          android:visibility="gone"
           >
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_margin="@dimen/padding_10dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="220dp"
                    app:cardBackgroundColor="@color/bright_red"
                    app:cardCornerRadius="@dimen/custom_margin"
                    app:cardElevation="@dimen/custom_margin2dp">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <ImageView
                            android:id="@+id/img_invisible"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/visible"
                            android:layout_gravity="center|right"/>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/hieght_180dp"
                            android:orientation="horizontal"
                            android:background="@android:color/transparent"
                            android:weightSum="10">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="5.5"
                                android:orientation="vertical"
                                android:layout_gravity="center"
                                android:gravity="center">
                                <com.cpm.lorealbaautomation.constant.RoundedImageView
                                    android:id="@+id/round_img_pic"
                                    android:layout_width="@dimen/hieght_180dp"
                                    android:layout_height="@dimen/hieght_180dp"
                                    android:layout_centerInParent="true"
                                    android:layout_gravity="center"
                                    android:layout_margin="@dimen/custom_margin"
                                    android:adjustViewBounds="true"
                                    android:src="@mipmap/profile_image" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="4.5"
                                android:layout_gravity="center"
                                android:gravity="center_vertical"
                                android:orientation="vertical">
                                <TextView
                                    android:id="@+id/profile_user"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:gravity="center_vertical"
                                    android:textStyle="bold"
                                    android:textColor="@color/grayfor_login"
                                    android:textSize="@dimen/margin_30dp"
                                    android:text="Test"/>

                                <TextView
                                    android:id="@+id/profile_user_type"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:gravity="center_vertical"
                                    android:textStyle="normal"
                                    android:layout_marginTop="@dimen/padding_10dp"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_18sp"
                                    android:text="Beauty Advisor"/>

                            </LinearLayout>



                        </LinearLayout>

                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:weightSum="4"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:layout_marginRight="@dimen/text22dp"
                    android:layout_marginTop="@dimen/text22dp"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:background="@mipmap/password"
                            android:padding="10dp"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3.5"
                        android:textColorHint="@color/black"
                        app:passwordToggleEnabled="true"
                        android:layout_margin="@dimen/custom_margin3dp"
                        app:passwordToggleTint="@color/black">

                        <EditText
                            android:id="@+id/edt_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="true"
                            android:hint="New Password"
                            android:imeOptions="actionUnspecified"
                            android:inputType="textPassword"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:layout_marginLeft="@dimen/padding_10dp"
                            android:layout_marginRight="@dimen/padding_10dp"
                            android:layout_marginTop="@dimen/custom_margin"
                            android:textColor="@android:color/black"
                            android:textColorHint="@color/black"
                            app:backgroundTint="@color/black"
                            android:padding="@dimen/custom_layout_margin11"
                            android:textSize="@dimen/text_size_16sp"/>

                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:layout_marginTop="@dimen/padding_10dp"
                    android:layout_marginRight="@dimen/text22dp"
                    android:weightSum="4"
                    android:background="@drawable/edit_text_border"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:background="@mipmap/password"
                            android:padding="10dp"
                            android:scaleType="fitXY" />


                    </LinearLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3.5"
                        android:textColorHint="@color/black"
                        app:passwordToggleEnabled="true"
                        android:layout_margin="@dimen/custom_margin3dp"
                        app:passwordToggleTint="@color/black">

                        <EditText
                            android:id="@+id/edt_confirm_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="true"
                            android:hint="Confirm Password"
                            android:imeOptions="actionUnspecified"
                            android:inputType="textPassword"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:layout_marginLeft="@dimen/padding_10dp"
                            android:layout_marginRight="@dimen/padding_10dp"
                            android:textColor="@android:color/black"
                            android:textColorHint="@color/black"
                            app:backgroundTint="@color/black"
                            android:padding="@dimen/custom_layout_margin11"
                            android:layout_marginTop="@dimen/custom_margin"
                            android:textSize="@dimen/text_size_16sp"/>

                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <ImageView
                    android:id="@+id/img_info"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/outline_info_black_36"
                    android:layout_gravity="right"
                    android:layout_margin="@dimen/textsize15sp"/>
            </LinearLayout>
        </androidx.cardview.widget.CardView>

    </LinearLayout>

</LinearLayout>

    <!--
        app:pinBackground="@drawable/example_drawable"-->
